/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresa;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderPtovtaEmpresa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {

        PtovtaEmpresa p = (PtovtaEmpresa) o;

        Listcell lc = new Listcell(p.getPtovtaempresaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(p.getEmpresa() == null ? "" : p.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(p.getPuntoVenta() == null ? "" : p.getPuntoVenta().getNombpuntoventa());
        lc.setParent(lstm);

        lstm.setAttribute("data", p);
    }

}
